Skip to content
Wazapin
Esc
navigateopen⌘Jpreview

GET /v1/commerce/contacts/{contactID}/commerce-summary

GET/v1/commerce/contacts/{contactID}/commerce-summary
Authorization
bearerAuthbearerAuthrequired
or
apiKeyAuthapiKeyAuthrequired
Path parameters
contactIDstringrequired
Responses
200OK
bookingsContactCommerceBookingSummary[] | nullrequired
Show properties
Array of ContactCommerceBookingSummary
contact_object_idstringrequired
dataobject
object_datestring
order_idstring
statusstring
contact_idstringrequired
linksContactCommerceLinksrequired
Show properties
storefront_urlstring
studio_urlstring
open_cartContactCommerceOpenCart
Show properties
cart_idstringrequired
item_countinteger<int64>required
updated_atstring
ordersContactCommerceOrderSummary[] | nullrequired
Show properties
Array of ContactCommerceOrderSummary
created_atstring
currencystringrequired
delivery_datestring
has_bookingbooleanrequired
idstringrequired
order_nostringrequired
payment_urlstring
statusstringrequired
total_amountinteger<int64>required
store_slugstring
defaultError
errorErrorBodyrequired
Show properties
codestringrequired
detailsErrorDetail[] | null
Show properties
Array of ErrorDetail
codestring
fieldstring
locationstring
messagestringrequired
messagestringrequired
request_idstring
Request
curl -X GET "/v1/commerce/contacts/string/commerce-summary"
Response
{
  "bookings": [
    {
      "contact_object_id": "string",
      "data": {},
      "object_date": "string",
      "order_id": "string",
      "status": "string"
    }
  ],
  "contact_id": "string",
  "links": {
    "storefront_url": "string",
    "studio_url": "string"
  },
  "open_cart": {
    "cart_id": "string",
    "item_count": 0,
    "updated_at": "string"
  },
  "orders": [
    {
      "created_at": "string",
      "currency": "string",
      "delivery_date": "string",
      "has_booking": true,
      "id": "string",
      "order_no": "string",
      "payment_url": "string",
      "status": "string",
      "total_amount": 0
    }
  ],
  "store_slug": "string"
}